Skip to main content
POST
/
ramp
/
agreements
/
customer-agreement
Accept customer agreement
curl --request POST \
  --url https://api.etherfuse.com/ramp/agreements/customer-agreement \
  --header 'Content-Type: application/json' \
  --data '
{
  "presignedUrl": "https://devnet.etherfuse.com/onboarding?token=eyJhbGciOiJIUzI1NiIs..."
}
'
{
  "success": true,
  "acceptedAt": "2024-01-15T10:00:00Z",
  "agreementType": "customer_agreement"
}

Body

application/json

Payload for accepting the customer agreement. The presigned URL authenticates the end user who will be bound by the agreement.

presignedUrl
string
required

Presigned URL obtained from POST /ramp/onboarding-url. This URL authenticates the end user and authorizes them to accept the agreement.

customerInfo
object

Optional customer information. When using programmatic KYC, this field may be omitted since identity data was already submitted via the KYC endpoints.

Response

Customer agreement acceptance recorded

Response confirming an agreement has been recorded

success
boolean

Whether the agreement was successfully recorded

acceptedAt
string<date-time>

Timestamp when the agreement was accepted

agreementType
enum<string>

Type of agreement accepted

Available options:
electronic_signature,
terms_and_conditions,
customer_agreement